Subject: Re: B19.1: Bug- updatedb uses hardcoded path
From: [email-masked] (Michael Hirmke)

29 May 1998 18:34:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Mike,

>Hi-
>
>I've just upgraded to B19.1, and I've installed everything in an
>alternate directory.  When I run updatedb, I get the following error:
>
>sh.exe-2.01$ updatedb
>FIND: Parse Error 3

I'm quite sure, this isn't the Cygnus, but the Windows "find", which
gives this error.

>
>/PROG16/CYGNUS/B19/H-I386-CYGWIN32/BIN/updatedb:
>/cygnus/b19/var/locatedb.n: No such file or directory updatedb: new
>database would be empty

Because find did not find anything, you get an empty temporary locatedb.
This message also says, that you didn't specify the env vars for updatedb
and locate:
        LOCATE_DB=/foo/bar (for updatedb)
        LOCATE_PATH=/foo:/bar (for locate)

>
>I assume this is just a hardcoded path somewhere....

It is the standard path :)

>
>-Mike

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".